LineArcIntersection

Intersect an infinite line and an arc.

Syntax

Rhino.LineArcIntersection (arrLine, arrPlane, dblRadius, dblAngle)

Parameters

arrLine

Required.  Array.  Two 3-D points identifying the starting and ending points of the line.

arrPlane

Required.  Array.  The plane of the arc. The origin of the plane is the center point of the arc. The X-axis of the plane is defined at the 0 angle direction.

dblRadius

Required.  Number.  The radius of the arc.

dblAngle

Required.  Number.  The angle of the arc in degrees.

Returns

Array

An array containing the 3-D intersection points if successful.

Null

If not successful, or on error.

Example

Dim arrLine

arrLine = Array(Array(0,0,0), Array(2,1,0))

arrPoints = Rhino.LineArcIntersection(arrLine, Rhino.WorldXYPlane, 5.0, 45.0)

If IsArray(arrPoints) Then

  Rhino.AddPoints arrPoints

End If

Also See

LineBoxIntersection

LineCircleIntersection

LineCylinderIntersection

LineLineIntersection

LinePlaneIntersection

LineSphereIntersection